Bug 1764847 - Smart State Analysis on OpenStack does not complete and Temporary Cinder Snapshot/Volumes are not cleaned up causing tenant quota to be exceeded after 1-2 days.
Summary: Smart State Analysis on OpenStack does not complete and Temporary Cinder Snap...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.10.10
Hardware: All
OS: All
high
high
Target Milestone: GA
: 5.10.15
Assignee: Marek Aufart
QA Contact: Jad Haj Yahya
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-23 20:40 UTC by Ryan Spagnola
Modified: 2020-01-21 15:04 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-21 15:04:21 UTC
Category: Bug
Cloudforms Team: Openstack
Target Upstream Version:


Attachments (Terms of Use)

Description Ryan Spagnola 2019-10-23 20:40:24 UTC
Description of problem:
SSA isn't completing scans
snapshots aren't being cleaned up

Version-Release number of selected component (if applicable):
5.10.10

How reproducible:
Fails most runs

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 5 dmetzger 2019-10-29 15:40:30 UTC
Ryan, please ask the customer to turn on debug logging mode and provide a new set of logs once the error is encountered again.

Comment 6 Ryan Spagnola 2019-10-31 14:03:43 UTC
Requested new logs with debug enabled.

Comment 7 Ryan Spagnola 2019-11-01 13:39:56 UTC
The customer has uploaded new logs to the support case

Comment 10 Jerry Keselman 2019-11-05 22:13:15 UTC
So the first issue is that we need DEBUG logs - it looks like the customer turned on DEBUG for fog logs only, but didn't upload any fog logs.  We would need DEBUG turned on for more than just fog to be helpful - the main log level would be optimal.  Thanks.  I've attempted to go through with the limited data available but we need more.  If you can upload all log files after running the test that would be awesome.

Comment 14 Jerry Keselman 2019-11-07 18:35:35 UTC
Ryan - I was able to download the attachement to the BZ named "fog.log", but the file uploaded to file.rdu seems to be corrupt - I can't gunzip it.  Also still looking for the evm.log with DEBUG messages - as discussed yesterday.  Thanks.  What is the supposed difference between the two different fog.log files?

Comment 17 dmetzger 2019-11-14 13:13:27 UTC
Moving this ticket to Providers:OpenStack based on feedback from Jerry. Based on Jerry's research the delete request is being initiated by CF and failing in the OpenStack side.

Comment 19 dmetzger 2019-11-22 18:06:34 UTC
Please obtain answers to the questions in comment #18 from the customer.

Comment 30 CFME Bot 2020-01-07 16:10:28 UTC
New commit detected on ManageIQ/manageiq/master:

https://github.com/ManageIQ/manageiq/commit/8f4664789c6f6b827d5873423f1ad93a4a601a5f
commit 8f4664789c6f6b827d5873423f1ad93a4a601a5f
Author:     Satoe Imaishi <simaishi@redhat.com>
AuthorDate: Tue Jan  7 10:29:32 2020 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Jan  7 10:29:32 2020 -0500

    Update manageiq-smartstate gem to 0.3.4, needed to get more info for
    https://bugzilla.redhat.com/show_bug.cgi?id=1764847

 Gemfile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 31 CFME Bot 2020-01-07 16:15:37 UTC
New commit detected on ManageIQ/manageiq/ivanchuk:

https://github.com/ManageIQ/manageiq/commit/d90354b122de5edd19ca5a13baed2401c51285a7
commit d90354b122de5edd19ca5a13baed2401c51285a7
Author:     Richard Oliveri <roliveri@redhat.com>
AuthorDate: Tue Jan  7 11:07:34 2020 -0500
Commit:     Richard Oliveri <roliveri@redhat.com>
CommitDate: Tue Jan  7 11:07:34 2020 -0500

    Merge pull request #19690 from simaishi/smartstate_034

    Update manageiq-smartstate gem to 0.3.4

    (cherry picked from commit 10e2954f28c63d5006a239785751fb5faa80b177)

    https://bugzilla.redhat.com/show_bug.cgi?id=1764847

 Gemfile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)


Note You need to log in before you can comment on or make changes to this bug.